Documentation Index

Fetch the complete documentation index at: https://rocket.wilas.ovh/llms.txt

Use this file to discover all available pages before exploring further.

Set User's Status Active

Prev Next
Post
/api/v1/users.setActiveStatus

Activate or deactivate a user in the workspace. Permission required: edit-other-user-active-status

When a user is deactivated (activeStatus=false), Rocket.Chat revokes all of the user's login tokens and OAuth access tokens, refresh tokens, and authorization codes. The user can no longer call the REST API with previously issued OAuth credentials.

Changelog

Version Description
8.5.0 Deactivation now also revokes the user's OAuth access tokens, refresh tokens, and authorization codes.
3.7.0 Added confirmRelinquish to the payload.
0.75.0 Added
Header parameters
X-User-Id
stringRequired

The authenticated user ID.

ExamplerbAXPnMktTFbNpwtJ
X-Auth-Token
stringRequired

The authenticated user token.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
Body parameters

If activeStatus=false & confirmRelinquish=true and the user is the last remaining owner of a room, the oldest member of that room will be chosen as the new owner.

object
activeStatus
boolean Required

The value of the active status.

Defaulttrue
userId
string Required

The user ID whose status value is to be changed.

Example5HmCfpoB7jp2uibTC
confirmRelinquish
boolean

Allows the user to be deactivated even if it is the last owner of a room. If activeStatus=false & confirmRelinquish=true and the user is the last remaining owner of a room, the oldest member of that room will be chosen as the new owner.

Defaultfalse
Responses
200
Success Example
{
  "user": {
    "_id": "jJNyu4BQFqdgEcqnR",
    "active": false
  },
  "success": true
}
Expand All
object
user
object
_id
string
active
boolean
success
boolean
400

Bad Request

Example 1
{
  "success": false,
  "error": "must have required property 'activeStatus'\n[invalid-params]",
  "errorType": "invalid-params"
}
object
success
boolean
error
string
errorType
string
401

Unauthorized

Authorization Error
{
  "status": "error",
  "message": "You must be logged in to do this."
}
object
status
string
message
string